xine-lib: xine-lib-1.2.12/src/input/libreal/rmff.c File Reference

xine-lib 1.2.12

Macros | Functions
rmff.c File Reference
`#include <xine/xineutils.h>`
`#include "bswap.h"`
`#include "rmff.h"`

## Macros
#define | LOG_MODULE "rmff"
#define | LOG_VERBOSE

## Functions
static int | rmff_dump_fileheader (rmff_fileheader_t *fileheader, uint8_t *buffer, int bufsize)
static int | rmff_dump_prop (rmff_prop_t *prop, uint8_t *buffer, int bufsize)
static int | rmff_dump_mdpr (rmff_mdpr_t *mdpr, uint8_t *buffer, int bufsize)
static int | rmff_dump_cont (rmff_cont_t *cont, uint8_t *buffer, int bufsize)
static int | rmff_dump_dataheader (rmff_data_t *data, uint8_t *buffer, int bufsize)
int | rmff_dump_header (rmff_header_t *h, void *buf_gen, int max)
void | rmff_dump_pheader (rmff_pheader_t *h, uint8_t *data)
rmff_fileheader_t * | rmff_new_fileheader (uint32_t num_headers)
rmff_prop_t * | rmff_new_prop (uint32_t max_bit_rate, uint32_t avg_bit_rate, uint32_t max_packet_size, uint32_t avg_packet_size, uint32_t num_packets, uint32_t duration, uint32_t preroll, uint32_t index_offset, uint32_t data_offset, uint16_t num_streams, uint16_t flags)
rmff_mdpr_t * | rmff_new_mdpr (uint16_t stream_number, uint32_t max_bit_rate, uint32_t avg_bit_rate, uint32_t max_packet_size, uint32_t avg_packet_size, uint32_t start_time, uint32_t preroll, uint32_t duration, const char *stream_name, const char *mime_type, uint32_t type_specific_len, const char *type_specific_data)
rmff_cont_t * | rmff_new_cont (const char *title, const char *author, const char *copyright, const char *comment)
rmff_data_t * | rmff_new_dataheader (uint32_t num_packets, uint32_t next_data_header)
void | rmff_fix_header (rmff_header_t *h)

## Macro Definition Documentation

## ◆ LOG_MODULE

#define LOG_MODULE "rmff"

## ◆ LOG_VERBOSE

#define LOG_VERBOSE

## Function Documentation

## ◆ rmff_dump_cont()

static int rmff_dump_cont | ( | rmff_cont_t * | cont,
|  | uint8_t * | buffer,
|  | int | bufsize
| ) |  |
| static

References _X_BE_16, _X_BE_32, rmff_cont_t::author, rmff_cont_t::author_len, rmff_cont_t::comment, rmff_cont_t::comment_len, rmff_cont_t::copyright, rmff_cont_t::copyright_len, rmff_cont_t::object_id, rmff_cont_t::object_version, RMFF_CONTHEADER_SIZE, rmff_cont_t::size, rmff_cont_t::title, and rmff_cont_t::title_len.

Referenced by rmff_dump_header().

## ◆ rmff_dump_dataheader()

static int rmff_dump_dataheader | ( | rmff_data_t * | data,
|  | uint8_t * | buffer,
|  | int | bufsize
| ) |  |
| static

References _X_BE_16, _X_BE_32, rmff_data_t::next_data_header, rmff_data_t::num_packets, rmff_data_t::object_id, rmff_data_t::object_version, RMFF_DATAHEADER_SIZE, and rmff_data_t::size.

Referenced by rmff_dump_header().

## ◆ rmff_dump_fileheader()

static int rmff_dump_fileheader | ( | rmff_fileheader_t * | fileheader,
|  | uint8_t * | buffer,
|  | int | bufsize
| ) |  |
| static

References _X_BE_16, _X_BE_32, rmff_fileheader_t::file_version, rmff_fileheader_t::num_headers, rmff_fileheader_t::object_id, rmff_fileheader_t::object_version, RMFF_FILEHEADER_SIZE, and rmff_fileheader_t::size.

Referenced by rmff_dump_header().

## ◆ rmff_dump_header()

int rmff_dump_header | ( | rmff_header_t * | h,
|  | void * | buf_gen,
|  | int | max
| ) |  |

References rmff_header_t::cont, rmff_header_t::data, rmff_header_t::fileheader, rmff_header_t::prop, rmff_dump_cont(), rmff_dump_dataheader(), rmff_dump_fileheader(), rmff_dump_mdpr(), rmff_dump_prop(), and rmff_header_t::streams.

Referenced by rtsp_session_start().

## ◆ rmff_dump_mdpr()

static int rmff_dump_mdpr | ( | rmff_mdpr_t * | mdpr,
|  | uint8_t * | buffer,
|  | int | bufsize
| ) |  |
| static

References _X_BE_16, _X_BE_32, rmff_mdpr_t::avg_bit_rate, rmff_mdpr_t::avg_packet_size, rmff_mdpr_t::duration, rmff_mdpr_t::max_bit_rate, rmff_mdpr_t::max_packet_size, rmff_mdpr_t::mime_type, rmff_mdpr_t::mime_type_size, rmff_mdpr_t::object_id, rmff_mdpr_t::object_version, rmff_mdpr_t::preroll, RMFF_MDPRHEADER_SIZE, rmff_mdpr_t::size, rmff_mdpr_t::start_time, rmff_mdpr_t::stream_name, rmff_mdpr_t::stream_name_size, rmff_mdpr_t::stream_number, rmff_mdpr_t::type_specific_data, and rmff_mdpr_t::type_specific_len.

Referenced by rmff_dump_header().

## ◆ rmff_dump_pheader()

void rmff_dump_pheader | ( | rmff_pheader_t * | h,
|  | uint8_t * | data
| ) |  |

References rmff_pheader_t::flags, rmff_pheader_t::length, rmff_pheader_t::object_version, rmff_pheader_t::reserved, rmff_pheader_t::stream_number, and rmff_pheader_t::timestamp.

Referenced by real_get_rdt_chunk().

## ◆ rmff_dump_prop()

static int rmff_dump_prop | ( | rmff_prop_t * | prop,
|  | uint8_t * | buffer,
|  | int | bufsize
| ) |  |
| static

References _X_BE_16, _X_BE_32, rmff_prop_t::avg_bit_rate, rmff_prop_t::avg_packet_size, rmff_prop_t::data_offset, rmff_prop_t::duration, rmff_prop_t::flags, rmff_prop_t::index_offset, rmff_prop_t::max_bit_rate, rmff_prop_t::max_packet_size, rmff_prop_t::num_packets, rmff_prop_t::num_streams, rmff_prop_t::object_id, rmff_prop_t::object_version, rmff_prop_t::preroll, RMFF_PROPHEADER_SIZE, and rmff_prop_t::size.

Referenced by rmff_dump_header().

## ◆ rmff_fix_header()

void rmff_fix_header | ( | rmff_header_t * | h | ) |

References rmff_prop_t::avg_bit_rate, rmff_prop_t::avg_packet_size, rmff_header_t::cont, rmff_header_t::data, rmff_prop_t::data_offset, DATA_TAG, rmff_prop_t::duration, rmff_fileheader_t::file_version, rmff_header_t::fileheader, lprintf, rmff_data_t::next_data_header, rmff_fileheader_t::num_headers, rmff_prop_t::num_packets, rmff_data_t::num_packets, rmff_prop_t::num_streams, rmff_fileheader_t::object_id, rmff_data_t::object_id, rmff_fileheader_t::object_version, rmff_data_t::object_version, rmff_header_t::prop, RMF_TAG, rmff_fileheader_t::size, rmff_prop_t::size, rmff_mdpr_t::size, rmff_cont_t::size, rmff_data_t::size, and rmff_header_t::streams.

Referenced by real_parse_sdp(), and real_setup_and_get_header().

## ◆ rmff_new_cont()

rmff_cont_t * rmff_new_cont | ( | const char * | title,
|  | const char * | author,
|  | const char * | copyright,
|  | const char * | comment
| ) |  |

References rmff_cont_t::author, rmff_cont_t::author_len, rmff_cont_t::comment, rmff_cont_t::comment_len, CONT_TAG, rmff_cont_t::copyright, rmff_cont_t::copyright_len, NULL, rmff_cont_t::object_id, rmff_cont_t::object_version, rmff_cont_t::size, rmff_cont_t::title, and rmff_cont_t::title_len.

Referenced by real_parse_sdp().

## ◆ rmff_new_dataheader()

rmff_data_t * rmff_new_dataheader | ( | uint32_t | num_packets,
|  | uint32_t | next_data_header
| ) |  |

References DATA_TAG, rmff_data_t::next_data_header, rmff_data_t::num_packets, rmff_data_t::object_id, rmff_data_t::object_version, and rmff_data_t::size.

Referenced by real_parse_sdp().

## ◆ rmff_new_fileheader()

rmff_fileheader_t * rmff_new_fileheader | ( | uint32_t | num_headers | ) |

References rmff_fileheader_t::file_version, rmff_fileheader_t::num_headers, rmff_fileheader_t::object_id, rmff_fileheader_t::object_version, RMF_TAG, and rmff_fileheader_t::size.

Referenced by real_parse_sdp().

## ◆ rmff_new_mdpr()

rmff_mdpr_t * rmff_new_mdpr | ( | uint16_t | stream_number,
|  | uint32_t | max_bit_rate,
|  | uint32_t | avg_bit_rate,
|  | uint32_t | max_packet_size,
|  | uint32_t | avg_packet_size,
|  | uint32_t | start_time,
|  | uint32_t | preroll,
|  | uint32_t | duration,
|  | const char * | stream_name,
|  | const char * | mime_type,
|  | uint32_t | type_specific_len,
|  | const char * | type_specific_data
| ) |  |

References rmff_mdpr_t::avg_bit_rate, rmff_mdpr_t::avg_packet_size, rmff_mdpr_t::duration, rmff_mdpr_t::max_bit_rate, rmff_mdpr_t::max_packet_size, MDPR_TAG, rmff_mdpr_t::mime_type, rmff_mdpr_t::mime_type_size, rmff_mdpr_t::mlti_data, NULL, rmff_mdpr_t::object_id, rmff_mdpr_t::object_version, rmff_mdpr_t::preroll, rmff_mdpr_t::size, rmff_mdpr_t::start_time, rmff_mdpr_t::stream_name, rmff_mdpr_t::stream_name_size, rmff_mdpr_t::stream_number, rmff_mdpr_t::type_specific_data, rmff_mdpr_t::type_specific_len, and xine_memdup().

Referenced by real_parse_sdp().

## ◆ rmff_new_prop()

rmff_prop_t * rmff_new_prop | ( | uint32_t | max_bit_rate,
|  | uint32_t | avg_bit_rate,
|  | uint32_t | max_packet_size,
|  | uint32_t | avg_packet_size,
|  | uint32_t | num_packets,
|  | uint32_t | duration,
|  | uint32_t | preroll,
|  | uint32_t | index_offset,
|  | uint32_t | data_offset,
|  | uint16_t | num_streams,
|  | uint16_t | flags
| ) |  |

References rmff_prop_t::avg_bit_rate, rmff_prop_t::avg_packet_size, rmff_prop_t::data_offset, rmff_prop_t::duration, rmff_prop_t::flags, rmff_prop_t::index_offset, rmff_prop_t::max_bit_rate, rmff_prop_t::max_packet_size, rmff_prop_t::num_packets, rmff_prop_t::num_streams, rmff_prop_t::object_id, rmff_prop_t::object_version, rmff_prop_t::preroll, PROP_TAG, and rmff_prop_t::size.

Referenced by real_parse_sdp().